<?php

namespace DefStudio\GameEngine\Exceptions;

use Exception;
use DefStudio\GameEngine\Enums\Feature;

class FeatureException extends Exception
{
    public static function not_enabled(Feature $feature): FeatureException
    {
        return new self("Feature [$feature->name] is not enabled");
    }
}
